Skip to main content
GET
Get certificate details by identifier

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

certificateId
string
required

Certificate identifier.

Required string length: 1 - 255

Response

Success.

certificateId
string

Certificate's identifier.

issuedBy
string

Certificate's Issuer information.

issuedTo
string

Certificate's Subject information.

validFrom
integer<int64>

Date and time from which the certificate is valid (milliseconds since the UNIX epoch).

validUntil
integer<int64>

Date and time until which the certificate is valid (milliseconds since the UNIX epoch).

certificateStatus
enum<string>

Certificate status. Represents a certificate state and indicates whether the certificate can be used. PROCESSING means certificate is being synced on Phonovation Platform and cannot be use for notification events. READY means certificate is synced and notification events can be sent to webhook using the certificate. EXPIRED means certificate cannot be used because validity date is in the past.

Available options:
PROCESSING,
READY,
EXPIRED
serialNumber
string

A certificate's serial number.